/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

import ClayButton from '@clayui/button';
import ClayIcon from '@clayui/icon';
import React from 'react';

function CommentRenderer({children}) {
	return (
		<ClayButton
			className="comment-renderer inline-item ml-2 my-n2 px-1 text-warning"
			data-tooltip-align="top"
			data-tooltip-delay={0}
			displayType="link"
			title={children}
		>
			<ClayIcon symbol="info-circle" />
		</ClayButton>
	);
}

export default CommentRenderer;
