/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

import ClayButton from '@clayui/button';
import ClayDropDown from '@clayui/drop-down';
import ClayIcon from '@clayui/icon';
import React, {useState} from 'react';

const CustomViewDropdown = () => {
	const [active, setActive] = useState(false);

	return (
		<ClayDropDown
			active={active}
			onActiveChange={setActive}
			trigger={
				<ClayButton borderless displayType="secondary">
					<span className="navbar-text-truncate">
						{Liferay.Language.get('default-view')}
					</span>

					<ClayIcon symbol={active ? 'caret-top' : 'caret-bottom'} />
				</ClayButton>
			}
		>
			<ClayDropDown.ItemList>
				<ClayDropDown.Item>
					{Liferay.Language.get('save')}
				</ClayDropDown.Item>
			</ClayDropDown.ItemList>
		</ClayDropDown>
	);
};

export default CustomViewDropdown;
